﻿//'*****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2006                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************/

// -------------------------------------------------------------------
// FVX Sample Program
//
// 作成者 : R.Nagashima
//
// 履歴 : 2006/12/13 初版
// -------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Ryudo
{
    public partial class frmSelectvideoConfFile : Form
    {
        public frmSelectvideoConfFile()
        {
            InitializeComponent();
        }

        public string strVideoConfFilePath;

        private void btnOK_Click(object sender, EventArgs e)
        {
            if (chkNotUseCamera.Checked)
               strVideoConfFilePath = "";
            else
                strVideoConfFilePath = txtConfFile.Text;

        }

        private void btnBrowse_Click(object sender, EventArgs e)
        {
            openFileDialog.InitialDirectory = "C:\\FAST_FVX\\VIDEO_INIFILES";
            openFileDialog.DefaultExt = "*.INI";
            openFileDialog.ShowDialog();

            if(openFileDialog.FileName.Length > 0)
                txtConfFile.Text = openFileDialog.FileName;
        }

        private void chkNotUseCamera_CheckedChanged(object sender, EventArgs e)
        {
            if (chkNotUseCamera.Checked)
            {
                txtConfFile.Enabled = false;
                btnBrowse.Enabled = false;
            }
            else
            {
                txtConfFile.Enabled = true;
                btnBrowse.Enabled = true;
            }
        }

		private void frmSelectvideoConfFile_Load( object sender, EventArgs e )
		{

		}

    }
}